This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 122405 - usb keyboard disconnect hangs machine
usb keyboard disconnect hangs machine
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-03 21:43 EDT by Brad Behm
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 02:06:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brad Behm 2004-05-03 21:43:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7b)
Gecko/20040319 Galeon/1.3.14

Description of problem:
After unplugging my USB keyboard, my entire system freezes - the mouse
or X will not respond; the keyboard will not work if it's plugged back
in; The machine will not accept ssh connections or return ICMP pings.
In short, it's totally dead.

I have an Intel 865 chipset. The USB keyboard compatibility mode in my
BIOS is turned on, but I do not believe that it is operating in
boot-protocol mode, as the extra buttons show up in xev.

Here are what I believe to be the relevant bits from dmesg:
usbcore: registered new driver usbfs
usbcore: registered new driver hub
usbcore: registered new driver hiddev
usbcore: registered new driver hid
drivers/usb/input/hid-core.c: v2.0:USB HID core driver
ehci_hcd 0000:00:1d.7: EHCI Host Controller
ehci_hcd 0000:00:1d.7: irq 7, pci mem 42867000
ehci_hcd 0000:00:1d.7: new USB bus registered, assigned bus number 1
ehci_hcd 0000:00:1d.7: USB 2.0 enabled, EHCI 1.00, driver 2003-Dec-29
hub 1-0:1.0: USB hub found
USB Universal Host Controller Interface driver v2.2
uhci_hcd 0000:00:1d.0: UHCI Host Controller
uhci_hcd 0000:00:1d.0: irq 10, io base 0000cc00
uhci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 2
hub 2-0:1.0: USB hub found
uhci_hcd 0000:00:1d.1: UHCI Host Controller
uhci_hcd 0000:00:1d.1: irq 12, io base 0000c000
uhci_hcd 0000:00:1d.1: new USB bus registered, assigned bus number 3
hub 3-0:1.0: USB hub found
uhci_hcd 0000:00:1d.2: UHCI Host Controller
uhci_hcd 0000:00:1d.2: irq 11, io base 0000c400
uhci_hcd 0000:00:1d.2: new USB bus registered, assigned bus number 4
hub 4-0:1.0: USB hub found
uhci_hcd 0000:00:1d.3: UHCI Host Controller
uhci_hcd 0000:00:1d.3: irq 10, io base 0000c800
uhci_hcd 0000:00:1d.3: new USB bus registered, assigned bus number 5
hub 5-0:1.0: USB hub found
usb 2-2: new low speed USB device using address 2
input: USB HID v1.00 Keyboard [SILITEK USB Keyboard] on usb-0000:00:1d.0-2
drivers/usb/input/hid-core.c: ctrl urb status -32 received
input,hiddev96: USB HID v1.00 Device [SILITEK USB Keyboard] on
usb-0000:00:1d.0-2
usb 3-1: new low speed USB device using address 2
input: USB HID v1.10 Mouse [B16_b_02 USB-PS/2 Optical Mouse] on
usb-0000:00:1d.1-1


Here is the last thing in /var/log/messages before I have to reboot:
<timestamp> <hostname> kernel: usb 2-2: USB disconnect, address 2



Version-Release number of selected component (if applicable):
kernel-2.6.5-1.327

How reproducible:
Always

Steps to Reproduce:
1. Boot machine with USB keyboard plugged in.
2. Accidentally knock out USB keyboard connector

    

Actual Results:  As mentioned, the computer immediately stopped
responding to any external stimuli bar the power and reset buttons.

Expected Results:  I would have hoped that keyboard input would simply
be unavailable until the keyboard was plugged in again, at which point
things would continue normally.

Additional info:
Comment 1 Pete Zaitcev 2004-08-19 20:07:06 EDT
Two questions:

* Does it happen when you're in text mode and have gpm running
 (In FC2, you have to enable gpm explicitly, it's not running by
 default)

* Is there a way to get console (say serial console or netconsole)
 at the moment of crash? It is important to know if an oops happens.
 Becaue the next step is to try nmi_watchdog, but that one only makes
 sense if oops did NOT happen.
Comment 2 Dave Jones 2004-12-07 01:37:16 EST
still a problem in the 2.6.9 update ?
Comment 3 Dave Jones 2005-04-16 02:06:45 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.